### org.jfree.layouting.input.style.parser.stylehandler.text

# Class TextAutoSpaceReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.text.TextAutoSpaceReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class TextAutoSpaceReadHandler`
`extends ListOfConstantsReadHandler`

Creation-Date: 02.12.2005, 19:47:48

Author:
  Thomas Morgner

  ## Constructor Summary

  `TextAutoSpaceReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfConstantsReadHandler

  `addValue`, `isAutoAllowed`, `parseValue`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

  `createValue`, `getMaxCount`, `isDistinctValues`, `parseValue`

## Constructor Details

### TextAutoSpaceReadHandler

    public TextAutoSpaceReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface ListOfValuesReadHandler